Package org.lwjgl.opengl

# Class ARBVertexAttrib64bit

java.lang.Object
org.lwjgl.opengl.ARBVertexAttrib64bit

public final class ARBVertexAttrib64bit extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DOUBLE_MAT2`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT2x3`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT2x4`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT3`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT3x2`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT3x4`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT4`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT4x2`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_MAT4x3`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_VEC2`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_VEC3`
Returned in the <type> parameter of GetActiveAttrib:
`static final int`
`GL_DOUBLE_VEC4`
Returned in the <type> parameter of GetActiveAttrib:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetVertexAttribL(int index, int pname, DoubleBuffer params)`
`static void`
`glVertexArrayVertexAttribLOffsetEXT(int vaobj, int buffer, int index, int size, int type, int stride, long offset)`
`static void`
`glVertexAttribL1(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL1d(int index, double x)`
`static void`
`glVertexAttribL2(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL2d(int index, double x, double y)`
`static void`
`glVertexAttribL3(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL3d(int index, double x, double y, double z)`
`static void`
`glVertexAttribL4(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL4d(int index, double x, double y, double z, double w)`
`static void`
`glVertexAttribLPointer(int index, int size, int stride, long pointer_buffer_offset)`
`static void`
`glVertexAttribLPointer(int index, int size, int stride, DoubleBuffer pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DOUBLE_VEC2

public static final int GL_DOUBLE_VEC2
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC3

public static final int GL_DOUBLE_VEC3
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC4

public static final int GL_DOUBLE_VEC4
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2

public static final int GL_DOUBLE_MAT2
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3

public static final int GL_DOUBLE_MAT3
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4

public static final int GL_DOUBLE_MAT4
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x3

public static final int GL_DOUBLE_MAT2x3
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x4

public static final int GL_DOUBLE_MAT2x4
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x2

public static final int GL_DOUBLE_MAT3x2
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x4

public static final int GL_DOUBLE_MAT3x4
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x2

public static final int GL_DOUBLE_MAT4x2
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x3

public static final int GL_DOUBLE_MAT4x3
Returned in the <type> parameter of GetActiveAttrib:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttribL1d

public static void glVertexAttribL1d(int index, double x)

### glVertexAttribL2d

public static void glVertexAttribL2d(int index, double x, double y)

### glVertexAttribL3d

public static void glVertexAttribL3d(int index, double x, double y, double z)

### glVertexAttribL4d

public static void glVertexAttribL4d(int index, double x, double y, double z, double w)

### glVertexAttribL1

public static void glVertexAttribL1(int index, DoubleBuffer v)

### glVertexAttribL2

public static void glVertexAttribL2(int index, DoubleBuffer v)

### glVertexAttribL3

public static void glVertexAttribL3(int index, DoubleBuffer v)

### glVertexAttribL4

public static void glVertexAttribL4(int index, DoubleBuffer v)

### glVertexAttribLPointer

public static void glVertexAttribLPointer(int index, int size, int stride, DoubleBuffer pointer)

### glVertexAttribLPointer

public static void glVertexAttribLPointer(int index, int size, int stride, long pointer_buffer_offset)

### glGetVertexAttribL

public static void glGetVertexAttribL(int index, int pname, DoubleBuffer params)

### glVertexArrayVertexAttribLOffsetEXT

public static void glVertexArrayVertexAttribLOffsetEXT(int vaobj, int buffer, int index, int size, int type, int stride, long offset)